function [ vzdalenost ] = vzdalenostOdCentroidu( obrys, obj_data )
%VZDALENOSTODCENTROIDU Summary of this function goes here
%   Detailed explanation goes here
    matice = zeros(size(obrys,1), size(obrys,2));
    matice(obrys ~= 0) = 1;
    
    
    centre = obj_data.Centroid + 1;
    [rows, cols] = find(matice);
    
    dists = sqrt((rows-centre(2)).^2 + (cols-centre(1)).^2);
    angles = atan2d(rows-centre(2), cols-centre(1));
    
    dists2 = [];
    for i = -179:180
        [~, m] = min(abs(angles+i));
        angles2{i+180,:} = dists(find(abs(angles+i) < 10));
        if length(dists(find(abs(angles+i) < 10))) == 0
           angles2{i+180,:} = 0.1;
        end
        
        dists2 = [dists2 min(angles2{i+180,:})];
    end
    
    
    [maxVzdalenost, maxVzdalenostIndex] = max(dists2);
    [minVzdalenost, minVzdalenostIndex] = min(dists2);
%     
%     rowsMax = rows(maxVzdalenostIndex);
%     rowsMin = rows(minVzdalenostIndex);
%     colsMax = cols(maxVzdalenostIndex);
%     colsMin = cols(minVzdalenostIndex);
    
    vzdalenost.MaxVzdalenost = maxVzdalenost;
    vzdalenost.MinVzdalenost = minVzdalenost;
%     vzdalenost.MaxVzdalenostPozice = [rowsMax, colsMax];
%     vzdalenost.MinVzdalenostPozice = [rowsMin, colsMin];
    vzdalenost.prumernaVzdalenost = mean(dists2);
    vzdalenost.Vzdalenosti = dists2;

end

